# Uses of Interface
org.eclipse.birt.chart.model.attribute.ScriptValue

Packages that use ScriptValue
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of ScriptValue in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return ScriptValue
Modifier and Type
Method
Description
`ScriptValue`
GObjectFactory.`createScriptValue(String script)`
`ScriptValue`
IGObjectFactory.`createScriptValue(String script)`

## Uses of ScriptValue in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type ScriptValue
Modifier and Type
Method
Description
`String`
IScriptMenuHelper.`getScriptValueJS(int index, ScriptValue sv, com.ibm.icu.util.ULocale locale)`
Returns scripts of 'Invoke Script' action.
`String`
ScriptMenuHelper.`getScriptValueJS(int index, ScriptValue sv, com.ibm.icu.util.ULocale locale)`

## Uses of ScriptValue in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return ScriptValue
Modifier and Type
Method
Description
`ScriptValue`
ScriptValue.`copyInstance()`
`ScriptValue`
AttributeFactory.`createScriptValue()`
Returns a new object of class 'Script Value'.

## Uses of ScriptValue in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement ScriptValue
Modifier and Type
Class
Description
`class`
`ScriptValueImpl`
An implementation of the model object ' Script Value'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return ScriptValue
Modifier and Type
Method
Description
`ScriptValue`
ScriptValueImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final ScriptValue`
ScriptValueImpl.`create(String script)`
A convenience method provided to build a script action value when needed
`ScriptValue`
AttributeFactoryImpl.`createScriptValue()`